Subject: Re: [bug#39049] guix-install.sh: Create an init profile for better out-of-the-box experience on foreign distros

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Jan 2020 09:38:32 +0100

Hello,

Prafulla Giri <[email-masked]> skribis:

> /etc/profile.d/*.sh seems to be the norm these days. All the debian-based
> distros that I have used seem to have it (Mint, Elementary, Ubuntu, etc.)
> and even Alpine Linux's docker containers support them.

OK, great.

> I didn't  really think this patch will get merged in one go. I did find
> another thing that I could add to this patch  the other day but had not
> gotten around to updating this. It is regarding the infopath: setting it to
> contain _GUIX_PROFILE/share/info seems to be a good default to have, esp.
> because it isn't exported by `guix package --search-paths`. I ran into this
> issue just the other day, myself. I wish I had made haste to send in an
> update.

I agree that it’d be nice!

> Should I send in a patch, sir? And do I send it in this thread or should I
> do it in another one, please?

Could you send another patch to [email-masked]?

Thank you,
Ludo’.